Summary: Apache module
Name: mod_sucgid
Version: 0.12
Release: 9%{?dist}.cloudlinux
Source0: %{name}-%{version}.tar.bz2
Group: System Environment/Daemons
URL: http://www.cloudlinux.com
License: GPL+
Requires: liblve >= 1.2-0.5
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: httpd-devel
BuildRequires: cmake
BuildRequires: liblve-devel >= 0.8

Requires: httpd

%description
This package contains Apache module


%prep
%setup -q

%build
cmake .
make

%install
mkdir -p $RPM_BUILD_ROOT%{_sbindir} $RPM_BUILD_ROOT%{_libdir}/httpd/modules/ $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/
install -D bin/daemon_sucgid $RPM_BUILD_ROOT%{_sbindir}
install -D lib/mod_sucgid.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules/
install -D modsucgid.conf $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d/

%post
isuser=$((cat /etc/passwd | cut -d":" -f1) | grep clouddaemon)
if [ -z "$isuser" ];then
    useradd -g apache clouddaemon
fi

%files
%defattr(-,root,root,-)
%doc changes.txt
%{_sbindir}/*
%{_libdir}/httpd/modules/*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*

%clean 
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 08 2015 Dmitry Zinushin <dzinushin@odin.com> 0.12-9
- add headers with timestamps in error logs

* Mon Dec 02 2013 Igor Vagulin <ivagulin@parallels.com> 0.12-8
- fix for http_auth

* Thu Aug 22 2013 Igor Vagulin <ivagulin@parallels.com> 0.12-7
- Fix for OverrideMEMLimit to apply to soft_limit as well as hard_limit

* Thu Aug 22 2013 Igor Vagulin <ivagulin@parallels.com> 0.12-6
- More logging fixes

* Wed Aug 7 2013 Igor Vagulin <ivagulin@parallels.com> 0.12-5
- Fix logging

* Tue Jul 23 2013 Alexey Berezhok <alexey_com@ukr.net> 0.12-4
- Added ability to set unlimited cpu & nproc limit

* Mon Jul 22 2013 Alexey Berezhok <alexey_com@ukr.net> 0.12-3
- Added ability to set unlimited memory limit

* Fri Jul 19 2013 Leonid Kanter <lkanter@cloudlinux.com> 0.12-2
- Add Requires: liblve >= 1.2-0.5

* Wed May 29 2013 Alexey Berezhok <alexey_com@ukr.net> 0.12-1
- Added OverrideNCPULimit

* Mon May 27 2013 Igor Seletskiy <iseletsk@cloudlinux.com> 0.11-1
- Set ncpu=0

* Wed May 15 2013 Igor Vagulin <ivagulin@parallels.com> 0.10-1
- Non blocking stderr read for cgi processes, 1024 bytes at a time

* Wed May 1 2013 Igor Seletskiy <iseletsk@cloudlinux.com> 0.9.1-8
- VMEM is always 0, added OverrideMEMLimit, OverrideEPROCLimit, OverrideCPULimit

* Wed Apr 24 2013 Alexey Berezhok <alexey_com@ukr.net> 0.9.1-4
- Added patch mod_sucgid-0.9.1-err-msg-MCC.patch

* Thu Apr 11 2013 Alexey Berezhok <alexey_com@ukr.net> 0.9.1-3
- Added additional check by field in new structure

* Wed Apr 10 2013 Alexey Berezhok <alexey_com@ukr.net> 0.9.1-2
- Added poa_cgid_limits_lookup_ex support

* Tue Mar 12 2013 Igor Vagulin <ivagulin@parallels.com> 0.9.1-1
- initial cagefs support

* Fri Jan 25 2013 Leonid Kanter <lkanter@cloudlinux.com> 0.9-2
- applied graceful restart fix from ivagulin@parallels.com

* Sun Dec 30 2012 Igor Seletskiy <iseletsk@cloudlinux.com> 0.9-1
- Implemented IO limits using SUCGIDIOLimit apache directive
- Removed NO_UBC flag on lve_setup_enter
- Incremented liblve dependency to 0.8

* Fri May 11 2012 Leonid Kanter <lkanter@cloudlinux.com> 0.8.6-0.5
- Rebuild in fixed environment

* Fri Mar  2 2012 Konstantin Sedov <ksedov@parallels.com> 0.8.6-0.4
- Redirect scripts stderr to specified error log

* Wed Mar 23 2011 Alexey Berezhok <alexey_com@ukr.net> 0.8.6-0.3
- Set io_limit in lve_setup_enter to 100(0 disallow value)

* Tue Aug 24 2010 Igor Seletskiy <iseletsk@cloudlinux.com> 0.8.6-0.2
- Fixed LVE initialization

* Tue Aug 10 2010 Konstantin Sedov <ksedov@parallels.com> 0.8.6-0.1
- Allow set up PHPRC environment variable (php feature)

* Wed Jul 6 2010 Igor Seletskiy <iseletsk@cloudlinux.com>
- Added limits on cpu/io/maxEntryProcs via h2e
- Removed limits via native apache configuration

* Wed Jun 9 2010 CloudLinux Packaging Team <packager@cloudlinux.com> 
- remove stgitf.h
- use separate optional function poa_cgid_limits_lookup to get limits info
- lve_cpu (%), lve_nproc limits (units)  added

* Thu Apr 29 2010 Alexey Ber <alexey_com@ukr.net> 
  - [#Bug 138] Premature end of script headers: php5

* Thu Apr 22 2010 Alexey Ber <alexey_com@ukr.net> 
  - [#Bug 136] Need fix some errors in mod sucgid &amp; mod hostinglimits

* Sat Mar 06 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Bug 70] Необходимо в sucgid daemon устранить ошибку NULL-параметров

* Sat Mar 06 2010 Automatic Change Log Generator <noreply@mail.net> 
  - [#Feature 98] Add ScriptTTL default value in the config by default

* Sat Mar 06 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Bug 100] Error messages should have module name in message body

* Fri Jan 15 2010 Alexey Ber <alexey_com@ukr.net> 
  - [#Bug 96] correctly detect apache user in cmake

* Thu Jan 14 2010 Timur Khakimyanov <tkhakimyanov@parallels.com> 
  - [#Feature 94] Implement KILLCHILD REQ

* Thu Jan 14 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Feature 93] Add ScriptTTL setting

* Sun Jan 10 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Feature 81] Ability to setup LVEid on per directory level

* Sat Jan 09 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Feature 54] Add RLimitCPU parameter

* Thu Jan 07 2010 Igor Seletskiy <iseletsk@gmail.com> 
  - [#Feature 75] Allow to disable LVE in mod sucgid

* Fri Dec 25 2009 Automatic Change Log Generator <noreply@mail.net> 
  - [#Bug 19] sucgid + perl cgi script: (&quot;/var/www/vhosts/101329/webspace/cgi-bin/perl/search&quot;) = -1 EACCESS

* Wed Dec 16 2009 Andrew Perepechko <anserper@ya.ru> 
  - [#Bug 18] Записи в логах апаче одной строкой. Необходимо разделить и снабдить своей(отдельной) датой.
